Show / Hide Table of Contents

# Class FrameworkAddressResolver

The address resolver for the Framework class.

##### Inheritance

System.Object
BaseAddressResolver
FrameworkAddressResolver

##### Inherited Members

BaseAddressResolver.DebugScannedValues
BaseAddressResolver.IsResolved
BaseAddressResolver.Setup()
BaseAddressResolver.Setup(SigScanner)
BaseAddressResolver.GetVirtualFunction<T>(IntPtr, Int32, Int32)
BaseAddressResolver.Setup32Bit(SigScanner)
BaseAddressResolver.SetupInternal(SigScanner)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class FrameworkAddressResolver : BaseAddressResolver

### Properties

| Improve this Doc View Source

#### BaseAddress

Gets the base address of the Framework object.

##### Declaration

    [Obsolete("Please use FFXIVClientStructs.FFXIV.Client.System.Framework.Framework.Instance() instead.")]
    public IntPtr BaseAddress { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### DestroyAddress

Gets the address for the function that is called once the Framework is destroyed.

##### Declaration

    public IntPtr DestroyAddress { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### FreeAddress

Gets the address for the function that is called once the Framework is free'd.

##### Declaration

    public IntPtr FreeAddress { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TickAddress

Gets the function that is called every tick.

##### Declaration

    public IntPtr TickAddress { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Setup64Bit(SigScanner)

Setup the resolver by finding any necessary memory addresses.

##### Declaration

    protected override void Setup64Bit(SigScanner sig)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | sig |

##### Overrides

BaseAddressResolver.Setup64Bit(SigScanner)